CREATE OR REPLACE PROCEDURE ADD_CIRU_PROCE (FECHA_CIRU in DATE,HORA_CIRU in DATE ,ID_BITACORA in NUMBER,ID_CAT_CIRU in NUMBER,ID_COSTO in NUMBER) IS
BEGIN
    INSERT INTO CIRUGIA (FECHA_CIRU,HORA_CIRU,ID_BITACORA,ID_CAT_CIRU,ID_COSTO) VALUES (FECHA_CIRU,HORA_CIRU,ID_BITACORA,ID_CAT_CIRU,ID_COSTO);
END;

CREATE SEQUENCE CIRU_SEQUENCE
 START WITH     1
 INCREMENT BY   1
 NOCACHE
 NOCYCLE;

create or replace trigger CIRU_TRIGGER  
   before insert on "CLINICA"."CIRUGIA" 
   for each row 
begin  
   if inserting then 
      if :NEW."ID_CIRUGUIA" is null then 
         select CIRU_SEQUENCE.nextval into :NEW."ID_CIRUGUIA" from dual; 
      end if; 
   end if; 
end;






